# Class MailQueue

Mail Queue class

- Defined in packages/saltcorn-data/models/internal/mail_queue.ts:65

##### Index

### Constructors

constructor

### Methods

emptyQueue
getPassedDelay
handleNotification
loadNotifications

## Constructors

### constructor

- new MailQueue(): MailQueue

  #### Returns MailQueue

## Methods

### `Static` emptyQueue

- emptyQueue(user: User): Promise<any>

  #### Parameters

  - user: User

  #### Returns Promise<any>

  - Defined in packages/saltcorn-data/models/internal/mail_queue.ts:124

### `Static` getPassedDelay

- getPassedDelay(notifications: Notification[]): number

  calc time since last sent

  #### Parameters

  - notifications: Notification[]

  #### Returns number

  - Defined in packages/saltcorn-data/models/internal/mail_queue.ts:108

### `Static` handleNotification

- handleNotification(notification: Notification, user: User): Promise<void>

  #### Parameters

  - notification: Notification

    Notification

  - user: User

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/internal/mail_queue.ts:70

### `Static` loadNotifications

- loadNotifications(userId: number, sendStatus?: string): Promise<any>

  #### Parameters

  - userId: number
  - `Optional` sendStatus: string

  #### Returns Promise<any>

  - Defined in packages/saltcorn-data/models/internal/mail_queue.ts:143